%define upstream_name    Test-TinyMocker
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A very simple tool to mock external modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc AUTHORS Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.50.0-10.mga10
+ Revision: 2200946
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-9.mga9
+ Revision: 1806292
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-8.mga8
+ Revision: 1497605
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-7.mga7
+ Revision: 1272011
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-6.mga6
+ Revision: 1034657
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-5.mga6
+ Revision: 944986
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 749300
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.50.0-3.mga5
+ Revision: 736023
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-2.mga5
+ Revision: 686559
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 586167
- update to 0.05

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 534781
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 478854
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 373847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 56846
- imported package perl-Test-TinyMocker


* Tue Feb 22 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
